## gimpcpuaccel gimpcpuaccel — Functions to query and configure CPU acceleration. |

## Functions

GimpCpuAccelFlags | gimp_cpu_accel_get_support ()
void | gimp_cpu_accel_set_use ()

## Types and Values

enum | GimpCpuAccelFlags

## Description

Functions to query and configure CPU acceleration.

## Functions

### gimp_cpu_accel_get_support ()

    GimpCpuAccelFlags
    gimp_cpu_accel_get_support (void);

Query for CPU acceleration support.

#### Returns

GimpCpuAccelFlags as supported by the CPU.

Since GIMP 2.4

### gimp_cpu_accel_set_use ()

    void
    gimp_cpu_accel_set_use (gboolean use);

This function is for internal use only.

#### Parameters

use | whether to use CPU acceleration features or not |

Since GIMP 2.4

## Types and Values

### enum GimpCpuAccelFlags

#### Members

GIMP_CPU_ACCEL_NONE |  |
GIMP_CPU_ACCEL_X86_MMX |  |
GIMP_CPU_ACCEL_X86_3DNOW |  |
GIMP_CPU_ACCEL_X86_MMXEXT |  |
GIMP_CPU_ACCEL_X86_SSE |  |
GIMP_CPU_ACCEL_X86_SSE2 |  |
GIMP_CPU_ACCEL_X86_SSE3 |  |
GIMP_CPU_ACCEL_PPC_ALTIVEC |  |